TSMGMTDATATYPEGET(3ts)

NAME
TSMgmtDataTypeGet - TSMgmtDataTypeGet API function

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSMgmtDataTypeGet(const char *var_name, TSRecordDataType *result)

DESCRIPTION

Get the type of a value for a configuration variable. var_name is the name of the variable as a null terminated string. The type value is stored in result. The function can return TS_ERROR if var_name is not found.

TYPES

Check TSRecordDataType for a detailed description.

RETURN VALUES

TS_SUCCESS if the var_name was found, TS_ERROR if not.

COPYRIGHT
2025, dev@trafficserver.apache.org